Actualizar endpoint de webhook
curl --request PATCH \
--url https://api.lapyme.com.ar/api/v1/webhook-endpoints/{webhook_endpoint_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"label": "<string>",
"url": "<string>",
"enabled_events": [],
"api_version": "2026-06-29"
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/webhook-endpoints/{webhook_endpoint_id}"
payload = {
"label": "<string>",
"url": "<string>",
"enabled_events": [],
"api_version": "2026-06-29"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
label: '<string>',
url: '<string>',
enabled_events: [],
api_version: '2026-06-29'
})
};
fetch('https://api.lapyme.com.ar/api/v1/webhook-endpoints/{webhook_endpoint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"data": {
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"url": "<string>",
"enabled_events": [],
"api_version": "2026-06-29",
"failure_count": 1,
"last_success_at": "2023-11-07T05:31:56Z",
"last_failure_at": "2023-11-07T05:31:56Z",
"disabled_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Solicitud inválida",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "API key faltante o inválida",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Scopes insuficientes",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Endpoint no encontrado",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Conflicto de estado o idempotencia",
"retryable": false,
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Error interno del servidor",
"retryable": false,
"details": []
}
}Actualizar endpoint de webhook
Actualiza label, URL, eventos o versión. El status es de solo lectura y se cambia mediante acciones nombradas.
PATCH
/
api
/
v1
/
webhook-endpoints
/
{webhook_endpoint_id}
Actualizar endpoint de webhook
Authorizations
Incluí tu API key en el header Authorization con el prefijo Bearer.
Headers
Clave estable para deduplicar reintentos de la misma operación.
Path Parameters
ID del endpoint de webhook
Body
application/json
Minimum array length:
1Available options:
sale.created, sale.updated, order.created, order.updated, order.completed, order.cancelled, order.partially_fulfilled, order.fulfilled, fulfillment.created, webhook_endpoint.disabled Available options:
2026-06-29 Was this page helpful?
⌘I

